%define url_ver %(echo %{version} | cut -d. -f1,2)

Summary:	Show the state of keyboard LEDs
Name:		xfce4-kbdleds-plugin
Version:	0.2.3
Release:	K03
License:	GPLv2+
Group:		Graphical desktop/Xfce
URL:		https://github.com/oco2000/xfce4-kbdleds-plugin/
Source0:	https://github.com/oco2000/xfce4-kbdleds-plugin/archive/xfce4-kbdleds-plugin-%{version}.tar.gz
# Upstream patches
Patch0:		0001-Change-some-includes.patch
Patch1:		0002-Fix-memory-allocation-functions.patch
BuildRequires:	intltool
BuildRequires:	make libtool autoconf automake
BuildRequires:	xfce4-dev-tools
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(libxfce4ui-2)
BuildRequires:	pkgconfig(libxfce4panel-2.0)
Requires:	xfce4-panel

%description
This plugin shows the state of your keyboard LEDs:
Caps, Scroll and Num Lock in Xfce panel.

%prep
%autosetup -p1 -n %{name}-%{name}-%{version}

%build
./autogen.sh
%configure \
	--disable-static
%make_build

%install
%make_install

# we don't want these
find %{buildroot} -name "*.la" -delete

%find_lang %{name}

%files -f %{name}.lang
%license COPYING
%doc AUTHORS README*
%{_libdir}/xfce4/panel/plugins/libkbdleds.so
%{_datadir}/xfce4/panel/plugins/kbdleds.desktop
%{_datadir}/icons/hicolor/*/apps/*


%changelog
* Fri Oct 1 2021 karlo karlo@lu.lv 0.2.3-K03
- Missing BuildRequires added.

* Fri Oct 1 2021 karlo karlo@lu.lv 0.2.3-K01
- Rebuilt for Fedora 34

* Thu Mar 11 2021 wally <wally> 0.2.3-1.mga9
+ Revision: 1701555
- switch to Gtk3 fork in Github
- new version 0.2.3

* Fri Feb 14 2020 umeabot <umeabot> 0.0.6-10.mga8
+ Revision: 1518648
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Sun Sep 23 2018 umeabot <umeabot> 0.0.6-9.mga7
+ Revision: 1301865
- Mageia 7 Mass Rebuild

* Sun Jun 03 2018 wally <wally> 0.0.6-8.mga7
+ Revision: 1234063
- fix build on aarch64

* Tue Feb 09 2016 umeabot <umeabot> 0.0.6-7.mga6
+ Revision: 952533
- Mageia 6 Mass Rebuild

* Tue Mar 03 2015 wally <wally> 0.0.6-6.mga5
+ Revision: 817444
- rebuild for new libxfce4util

* Wed Oct 15 2014 umeabot <umeabot> 0.0.6-5.mga5
+ Revision: 739834
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.0.6-4.mga5
+ Revision: 690614
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.0.6-3.mga4
+ Revision: 520575
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 0.0.6-2.mga3
+ Revision: 386827
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jul 17 2012 wally <wally> 0.0.6-1.mga3
+ Revision: 271908
- import xfce4-kbdleds-plugin
- .spec originally from PLD

